consumer.h File Reference

-*- C++ -*- More...

`#include <iterator>`
`#include <wibble/amorph.h>`
`#include <wibble/range.h>`
`#include <wibble/cast.h>`
Include dependency graph for consumer.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes

struct | wibble::ConsumerInterface< T >
struct | wibble::ConsumerMorph< T, W >
struct | wibble::ConsumerMixin< T, Self >
struct | wibble::Consumer< T >
struct | wibble::ConsumerFromIterator< T, Out >

## Namespaces

| wibble

## Functions

template<typename R >
Consumer< typename R::ConsumedType > | wibble::consumerMorph (R r)
template<typename Out >
Consumer< typename Out::container_type::value_type > | wibble::consumer (Out out)
template<typename T >
IsType< Consumer< typename T::value_type >, typename T::iterator >::T | wibble::consumer (T &c)
template<typename T >
Consumer< T > | wibble::consumer (const ConsumerInterface< T > &t)

## Detailed Description

-*- C++ -*-

Author
  Peter Rockai me@mo.nosp@m.rnfa.nosp@m.ll.ne.nosp@m.t